<?php

namespace Teknisa\SM\Controller;

use Teknisa\SM\Service\IntegracaoHcmService;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;


class IntegracaoHcmController {
    protected $hcmService;

    public function __construct(IntegracaoHcmService $integracaoHcmService){
        $this->hcmService = $integracaoHcmService;
    }
    
    // public function horaExtraIntegracaoHcm(Request $request, Response $response){
    //     try{
    //         $rows = $request->getDataSet()->getRows()[0];
    //         $retorno = $this->hcmService->integracaoHcm($rows);
    //         //$response->addDataSet(new DataSet("NRORCAMENTO", array("NRORCAMENTO" => $retorno)));
            
    //     } catch(\Exception $e){
    //         $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
    //     }
    // }

    public function integracaoHcm(Request $request, Response $response){
        try{
            $rows = $request->getParameters();
            $retorno = $this->hcmService->integracaoHcm($rows['row'], 'N');
           // $response->addDataSet(new DataSet($retorno));
            $response->addDataSet(new DataSet("integracaoHcm", array("resultado" => $retorno)));
            
        } catch(\Exception $e){
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }

    public function integracaoHcmMassa(Request $request, Response $response){
        try{
           
            $rows = $request->getParameters();
            $retorno = $this->hcmService->integracaoHcmMassa($rows['row']);
           // $response->addDataSet(new DataSet($retorno));
            $response->addDataSet(new DataSet("integracaoHcmMassa", array("resultado" => $retorno)));
            
        } catch(\Exception $e){
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }
}